Spotify 1.1.55.498 - current

Mjukvara (program) för dig som kör Slackware Current

Moderatorer: Nille, Minime, nomicon

Användarvisningsbild
MDKDIO
Kodnisse
Inlägg: 1378
Blev medlem: 21 apr 2005 08:24
Ort: Bollnäs

Spotify 1.1.55.498 - current

Inlägg av MDKDIO »

Uppdaterad igen 22/3-21

"Bygge" - Ok, Installation - Ok, Fortfarande samma skräp meddelande...

Kod: Markera allt

bash-5.1$ spotify 
/opt/spotify/usr/bin/spotify: /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4: no version information available (required by /opt/spotify/usr/bin/spotify)
/opt/spotify/usr/share/spotify/spotify: /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4: no version information available (required by /opt/spotify/usr/share/spotify/spotify)
/opt/spotify/usr/share/spotify/spotify: /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4: no version information available (required by /opt/spotify/usr/share/spotify/spotify)
/proc/self/exe: /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4: no version information available (required by /proc/self/exe)
Men tycks fungera IAF.

rm /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4
ln -s /usr/lib64/libcurl.so.4 /opt/spotify/usr/share/spotify/libcurl-gnutls.so.4

löste inte "problemet"
Avinstallation + rm -rf /opt/spotify för att sedan installera om spotify hjälpte inte heller.
Men Spotify tycks fungera ok IAF... Än så länge :)

Redigerat:
Rensning i /tmp/SBo på allt rel till spotify + avinstallation och nytt bygge av paket för att sedan installera spotify på nytt hjälpte inte heller...

Börjar fundera på om det är något knas med profilen...

Rensning av ~/.cache/spotify hjälpte inte IAF...

Någon med tips?
Slackware 64-bit current (desktop)
Slackware 64-bit 14.2 + Current (Laptop)
Slackware 64-bit Current (Plasma5) (Laptop)
Slackware 64-bit current (xfce+Kodi 19) (MediaPC)
Slackware 64-bit Current (Plasma5) (Netbook)
Användarvisningsbild
Minime
Labrat
Inlägg: 555
Blev medlem: 14 okt 2005 14:27
Ort: Loos

Re: Spotify 1.1.55.498 - current

Inlägg av Minime »

Fungerar i 14.2 med.
Skräp meddelande om libcurl-gnutls.so.4 kommer man inte ifrån p.g.a Ubuntus special kombo paketlib med libcurl och gnutls (libcurl-gnutls.so.4) då det paketet inte finns i Slackware.
Vad vi gör för att få det att fungera är ju att länka libcurl_gnutls till slackwares libcurl

Raspberry Pi 4B 4 Gb RAM Slackware Arm Current
Server EeeBox Atom 1.6 GHz 1.5 Gb RAM Slackware Current x64bit
Asus Rog Strix AMD Ryzen 5 3.6 GHz 16 Gb RAM Slackware 14.2 multilib
Miraclebox Premium Twin HD - Openvix 5.2.040 (Neotion CI+ CA-modul)